Bug 4975 - globus-url-copy fails on some transfers to gass server
: globus-url-copy fails on some transfers to gass server
Status: RESOLVED FIXED
: GridFTP
GASS
: 4.0.1
: All All
: P3 normal
: 4.0.4
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-01-23 23:09 by
Modified: 2007-01-29 09:19 (History)


Attachments
Patch to globus_gass_transfer (2.07 KB, patch)
2007-01-24 16:40, Joe Bester
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-23 23:09:13
I've found a file that causes globus-url-copy to fail when transferring it from
a local file to a remote gass server. globus-url-copy exits with status 1 and
prints this:

error: [globus_l_gass_copy_gass_write_callback]: gass_transfer_request_status:
3

I see this when using globus-url-copy and globus-gass-server from Globus 4.0.3
with and without the globus_gass_transfer-2.11 advisory applied.

You can download the problem file from here:
http://www.cs.wisc.edu/~jfrey/guc-bug/lgfile
------- Comment #1 From 2007-01-24 15:00:47 -------
I tested this a bit with the test file with globus-url-copy and with another
http client. This appears to be a server HTTP parsing error causing a premature
connection close on the server side.
------- Comment #2 From 2007-01-24 16:40:35 -------
Created an attachment (id=1173) [details]
Patch  to globus_gass_transfer

Attaching a patch to globus_gass_transfer which seems to fix the issue. I think
the HTTP specification is a little vague on whether chunk extension parsers are
supposed to accept linearize whitespace after a chunk size token. This code
change affects the parsing in the case a chunk begins with a tab followed by a 
semicolon.
------- Comment #3 From 2007-01-25 12:27:57 -------
I can confirm that the patch fixes the problem in transferring this file.
------- Comment #4 From 2007-01-29 09:19:54 -------
Committed to 4.0 branch and trunk. Uploaded a fix to
http://www.globus.org/toolkit/advisories.html#globus_gass_transfer-2.12